Bug 801327 - Missing button for removing template from single storage domain
Missing button for removing template from single storage domain
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity urgent
: ---
: 3.1
Assigned To: Daniel Erez
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 05:15 EST by Jakub Libosvar
Modified: 2012-08-09 04:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (47.77 KB, image/png)
2012-03-08 05:15 EST, Jakub Libosvar
no flags Details

  None (edit)
Description Jakub Libosvar 2012-03-08 05:15:59 EST
Created attachment 568559 [details]
Screenshot

Description of problem:
If template is copied across multiple storage domain user cannot remove the template from one domain, must remove the whole template from ovirt. Remove button is missing in templates tab - storage subtab.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.0.0_0001-3.git4364f1b.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Copy template to two storage domains
2. Try to remove template from non-master domain
  
Actual results:
Button is missing

Expected results:
There is button for removing template from specific domain

Additional info:
Screenshot attached
Comment 1 vszocs 2012-03-20 09:06:17 EDT
Right, there's missing "Remove" action button, which binds to TemplateStorageListModel's remove command (the remove template logic is already in UiCommon but needs to be exposed by UI).
Comment 2 vszocs 2012-03-20 13:03:08 EDT
Patch submitted to Gerrit: http://gerrit.ovirt.org/2963
Comment 3 vszocs 2012-03-21 06:50:52 EDT
The above patch was abandoned for now, see the Gerrit change details for more information.
Comment 4 Itamar Heim 2012-05-17 05:37:30 EDT
einav - isn't this fixed by now?
Comment 5 Einav Cohen 2012-05-17 12:00:21 EDT
(In reply to comment #4)
> einav - isn't this fixed by now?

yes - derez implemented it. The button is in the Storage sub-tab of the Templates main tab. 
Moving to MODIFIED.
Comment 6 Itamar Heim 2012-08-09 04:05:23 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.